### Enumeration

# WebKit AuthenticationScheme

#### Declaration

    enum WebKit.AuthenticationScheme

#### Description [src]

Enum values representing the authentication scheme.

Available since: | 2.2

#### Members

Name | Description
--- | ---
`WEBKIT_AUTHENTICATION_SCHEME_DEFAULT` | The default authentication scheme of WebKit.
`WEBKIT_AUTHENTICATION_SCHEME_HTTP_BASIC` | Basic authentication scheme as defined in RFC 2617.
`WEBKIT_AUTHENTICATION_SCHEME_HTTP_DIGEST` | Digest authentication scheme as defined in RFC 2617.
`WEBKIT_AUTHENTICATION_SCHEME_HTML_FORM` | HTML Form authentication.
`WEBKIT_AUTHENTICATION_SCHEME_NTLM` | NTLM Microsoft proprietary authentication scheme.
`WEBKIT_AUTHENTICATION_SCHEME_NEGOTIATE` | Negotiate (or SPNEGO) authentication scheme as defined in RFC 4559.
`WEBKIT_AUTHENTICATION_SCHEME_CLIENT_CERTIFICATE_REQUESTED` | Client Certificate Authentication (see RFC 2246).
`WEBKIT_AUTHENTICATION_SCHEME_SERVER_TRUST_EVALUATION_REQUESTED` | Server Trust Authentication.
`WEBKIT_AUTHENTICATION_SCHEME_CLIENT_CERTIFICATE_PIN_REQUESTED` | Client certificate PIN required for use. Since: 2.34
`WEBKIT_AUTHENTICATION_SCHEME_UNKNOWN` | Authentication scheme unknown.